extends Node
class_name InputStrategy

enum State {
	IDLE,
	STUCK,
	INPUT_INTRO,
	LETTER_CLICKED,
	DRAGGING,
	DRAG_OUTRO,
	ANIMATING,
	HALT,
}

var parentManager : InputManager

func enter() -> void:
	pass

func exit() -> void:
	pass

func update() -> void:
	pass

func transition_to(new_state: State) -> void:
	get_parent().transition_to_state(new_state)

